[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMParentShowHintChanged

Handles a CM_PARENTSHOWHINTCHANGED message for the control.

## Declaration

Source position: controls.pp line 1451

`protected procedure TControl.CMParentShowHintChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMParentShowHintChanged ensures that the ShowHint property in the control is updated when the corresponding property in the Parent control is changed. When ParentShowHint is set to True, the ShowHint property from the Parent is copied into the control.

## See also

TControl.ShowHint |  | Enables Hint display for the control.
TControl.ParentShowHint |  | If True, the value of ShowHint for the control will be the same as the one from the Parent. Default is True.